svn commit: r223764 - head/release/ia64

Marcel Moolenaar marcel at FreeBSD.org
Mon Jul 4 17:03:20 UTC 2011


Author: marcel
Date: Mon Jul  4 17:03:19 2011
New Revision: 223764
URL: http://svn.freebsd.org/changeset/base/223764

Log:
  Add a trivial script for creating memstick images. These are not
  bootable yet, but proven to be useful without it already.

Added:
  head/release/ia64/make-memstick.sh   (contents, props changed)

Added: head/release/ia64/make-memstick.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/release/ia64/make-memstick.sh	Mon Jul  4 17:03:19 2011	(r223764)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# This script generates a "memstick image" (image that can be copied to a
+# USB memory stick) from a directory tree.  Note that the script does not
+# clean up after itself very well for error conditions on purpose so the
+# problem can be diagnosed (full filesystem most likely but ...).
+#
+# Usage: make-memstick.sh <directory tree> <image filename>
+#
+# $FreeBSD$
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+export PATH
+
+BLOCKSIZE=10240
+
+if [ $# -ne 2 ]; then
+  echo "make-memstick.sh /path/to/directory /path/to/image/file"
+  exit 1
+fi
+
+if [ ! -d ${1} ]; then
+  echo "${1} must be a directory"
+  exit 1
+fi
+
+if [ -e ${2} ]; then
+  echo "won't overwrite ${2}"
+  exit 1
+fi
+
+makefs -B little ${2} ${1}
+if [ $? -ne 0 ]; then
+  echo "makefs failed"
+  exit 1
+fi
+


More information about the svn-src-head mailing list